Fetch Teams by Team ID
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: ['c1e4416e-f57c-4614-886f-35a5541f4316']})
};
fetch('https://api.trackpilots.com/v1/teams/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/teams/filter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": [
"c1e4416e-f57c-4614-886f-35a5541f4316"
]
}
'import requests
url = "https://api.trackpilots.com/v1/teams/filter"
payload = { "teamId": ["c1e4416e-f57c-4614-886f-35a5541f4316"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched team details successfully",
"error": null,
"data": [
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
]
}Manage Teams
Fetch Teams by Team ID
Returns team details for the given list of team IDs.
POST
/
v1
/
teams
/
filter
Fetch Teams by Team ID
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: ['c1e4416e-f57c-4614-886f-35a5541f4316']})
};
fetch('https://api.trackpilots.com/v1/teams/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/teams/filter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": [
"c1e4416e-f57c-4614-886f-35a5541f4316"
]
}
'import requests
url = "https://api.trackpilots.com/v1/teams/filter"
payload = { "teamId": ["c1e4416e-f57c-4614-886f-35a5541f4316"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched team details successfully",
"error": null,
"data": [
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of team IDs to fetch
Minimum array length:
1